### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
MultiProductMultiStep Class Reference

Multiple-step market-model product. More...

`#include <ql/models/marketmodels/products/multiproductmultistep.hpp>`

Inheritance diagram for MultiProductMultiStep:
[legend]

List of all members.

## Public Member Functions

| MultiProductMultiStep (const std::vector< Time > &rateTimes)
MarketModelMultiProduct interface
std::vector< Size > | suggestedNumeraires () const
const EvolutionDescription & | evolution () const

## Protected Attributes

std::vector< Time > | rateTimes_
EvolutionDescription | evolution_

## Detailed Description

Multiple-step market-model product.

This is the abstract base class that encapsulates the notion of a MarketModelMultiProduct which can be evaluated in a more than one step (aka Rebonato's long jump).